Neovim 0.5 est livré avec le support LSP, les améliorations Lua et plus

Néovim

Après presque deux ans de développement le lancement de la nouvelle version de Neovim 0.5 a été annoncé (une branche de l'éditeur Vim, qui se concentrait sur l'amélioration de l'évolutivité et de la flexibilité), cette version rreprésente environ 4000 confirmations depuis la v0.4.4.

Il est mentionné que dans cette nouvelle version de Neovim 0.5, les faits saillants incluent support pour LSP, nouvelles API pour les marques étendues (avec suivi des changements de résolution d'octets) et des décorations de tampon, ainsi que de grandes améliorations à lua en tant que plugin et configuration. 

Pour ceux qui ne connaissent pas Neovim, ils devraient savoir que Dans le cadre du projet, la base de code Vim a été révisée pendant plus de sept ans, à la suite de quoi des modifications ont été apportées pour simplifier la maintenance du code, fournir un moyen de division du travail entre divers mainteneurs, en séparant l'interface de la partie de base (l'interface peut être modifiée sans toucher aux composants internes) et en mettant en œuvre une nouvelle architecture extensible basée sur des plugins.

Parmi les problèmes de Vim qui ont conduit à la création de Neovim, il y a la base de code monolithique de plus de 300.000 XNUMX lignes de code C. Seules quelques personnes comprennent toutes les nuances de la base de code Vim, et toutes les modifications sont contrôlées par un mainteneur. maintenir et améliorer l'éditeur. Au lieu du code embarqué dans le noyau de Vim pour prendre en charge l'interface graphique, Neovim propose d'utiliser une couche universelle qui permet de créer des interfaces à l'aide de divers kits d'outils.

Principales actualités de Neovim 0.5

Cette nouvelle version présente beaucoup de changements dont la plupart de ces changements sont axés sur les améliorations de Lua, les nouvelles API et les améliorations de la configuration et est-ce que se met en évidence la prise en charge étendue de Lua en tant que langage pour le développement de plugins et la gestion des configurations.

De tous les changements qui ressortent le plus, nous pouvons constater que Le client LSP a été ajouté (Language Server Protocol) intégré à Lua, qui peut être utilisé pour se connecter à des services externes pour la complétion et l'analyse du code.

Parmi les API, une se distingue qui a été ajoutée pour contrôler la conception des tampons boîte de sélection, ainsi qu'une API pour utiliser des balises étendues pour suivre les modifications au niveau de l'octet individuel.

Aussi soutien expérimental de tree-sitter offert en tant que moteur de syntaxe, dont un basé sur les nouvelles API de base pour le suivi des octets et les décorations.

Enfin en concernant les corrections :

  • Correction du collage des blocs ne fonctionnant pas correctement
  • Correction du comportement muet de nvim_exec ()
  • Correction de nombreux bugs découverts par clang et coverity
  • Dépannage des problèmes de terminfo dans Windows
  • Solution avec écran ajusté et plissé
  • Dépannage de la famille de terminaux d'affichage

Enfin si vous souhaitez en savoir plus de cette nouvelle version, vous pouvez vérifier les changements dans le lien suivant.

Comment installer NeoVim sur Linux ?

maintenant pour le cas d'installation de cette nouvelle version sous Linux, etIl est important de souligner que Neovim fait partie de la majorité des référentiels des distributions les plus populaires.

Même si le seul problème pour le moment est que la nouvelle version n'a pas encore été mise à jour dans les référentiels de la plupart des distributions Linux.

Car actuellement seulement Arch Linxu et ses dérivés ils ont déjà la disponibilité de ce package.

A installer sur Arch et ses dérivés, ils n'ont qu'à ouvrir un terminal et y saisiront la commande suivante:

sudo pacman -S neovim

Alors que pour ceux qui sont utilisateurs de Debian, Ubuntu et dérivés peuvent installer le nouveau paquet dès qu'il est disponible exécuter dans le terminal la commande:

sudo apt install neovim

Dans le cas de ceux qui utilisent Fedora et ses dérivés:

sudo dnf install neovim

Utilisateurs OpenSUSE:

sudo zypper install neovim

Enfin pour les utilisateurs de Gentoo

emerge -a app-editors/neovim

Le contenu de l'article adhère à nos principes de éthique éditoriale. Pour signaler une erreur, cliquez sur c'est par ici !.

Soyez le premier à commenter

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée.

*

*

  1. Responsable des données : AB Internet Networks 2008 SL
  2. Finalité des données: Contrôle du SPAM, gestion des commentaires.
  3. Légitimation: votre consentement
  4. Communication des données: Les données ne seront pas communiquées à des tiers sauf obligation légale.
  5. Stockage des données: base de données hébergée par Occentus Networks (EU)
  6. Droits: à tout moment, vous pouvez limiter, récupérer et supprimer vos informations.